fldefs_attradd.h File Reference

This file contains all #defines for actual usage. More...

Go to the source code of this file.

## Macros

#define | FLEXT_CADDATTR_GET(CL, NAME, GFUN)
| Add handler for a gettable attribute. More...
#define | FLEXT_CADDATTR_SET(CL, NAME, SFUN)
| Add handler for a settable attribute. More...
#define | FLEXT_CADDATTR_VAR(CL, NAME, GFUN, SFUN)
| Add handlers for a both get- and settable attribute. More...
#define | FLEXT_CADDATTR_VAR1(CL, NAME, FUN)
| Add handlers for a both get- and settable attribute. More...
#define | FLEXT_CADDATTR_GET_E(CL, NAME, GFUN)
| Add handler for a gettable enum attribute. More...
#define | FLEXT_CADDATTR_SET_E(CL, NAME, SFUN)
| Add handler for a settable enum attribute. More...
#define | FLEXT_CADDATTR_VAR_E(CL, NAME, GFUN, SFUN)
| Add handlers for a both get- and settable enum attribute. More...
#define | FLEXT_CADDATTR_VAR1_E(CL, NAME, FUN)
| Add handlers for a both get- and settable enum attribute. More...
#define | FLEXT_ADDATTR_GET(NAME, GFUN)
| Add handler for a gettable attribute. More...
#define | FLEXT_ADDATTR_SET(NAME, SFUN)
| Add handler for a settable attribute. More...
#define | FLEXT_ADDATTR_VAR(NAME, GFUN, SFUN)
| Add handlers for a both get- and settable attribute. More...
#define | FLEXT_ADDATTR_VAR1(NAME, FUN)
| Add handlers for a both get- and settable attribute. More...
#define | FLEXT_ADDATTR_GET_E(NAME, GFUN)
| Add handler for a gettable enum attribute. More...
#define | FLEXT_ADDATTR_SET_E(NAME, SFUN)
| Add handler for a settable enum attribute. More...
#define | FLEXT_ADDATTR_VAR_E(NAME, GFUN, SFUN)
| Add handlers for a both get- and settable enum attribute. More...
#define | FLEXT_ADDATTR_VAR1_E(NAME, FUN)
| Add handlers for a both get- and settable enum attribute. More...

## Detailed Description

This file contains all #defines for actual usage.